.footer__menu-main .section__body {
  margin-top: 20px;
  font-size: 0.875rem;
  line-height: 1.75;
}

.footer-faculty {
  font-size: 1.125rem;
  font-weight: 500;
}

.footer-bottom-wrapper {
  display: flex;
  align-items: center;
  gap: 0.5rem 2rem;
}

.footer-bottom-links {
  display: flex;
  gap: 1rem;
}

.social-media-menu-fixed {
  position: fixed;
  z-index: 40;
  top: 50%;
  right: 20px;
  transform: translateY(-50%);
}

.social-media-menu-fixed .social-media-menu-wrapper__ul {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.social-media-menu-fixed .social-media-menu-wrapper__li {
  width: 40px;
  height: 40px;
  background-color: #09113e;
  border-radius: 10px;
}

.social-media-menu-fixed .social-media-menu-wrapper__li:hover {
  opacity: 0.8;
}

.social-media-menu-fixed .social-media-menu-wrapper__li a {
  width: 100%;
  height: 100%;
}

.social-media-menu-fixed .icon {
  background-repeat: no-repeat;
  background-position: center;
}

.social-media-menu-fixed .icon-facebook {
  background-image: url("/20250603170942oe_/https://www.arts.cuhk.edu.hk/web/wp-content/themes/cuhk-arts-theme/assets/images/icons/facebook-white.svg");
  background-size: 10px 20px;
}

.social-media-menu-fixed .icon-instagram {
  background-image: url("/20250603170942oe_/https://www.arts.cuhk.edu.hk/web/wp-content/themes/cuhk-arts-theme/assets/images/icons/instagram-white.svg");
  background-size: 26px 26px;
}

.social-media-menu-fixed .icon-wechat {
  background-image: url("/20250603170942oe_/https://www.arts.cuhk.edu.hk/web/wp-content/themes/cuhk-arts-theme/assets/images/icons/wechat-logo-blue.svg");
  background-size: 26px 26px;
  cursor: pointer;
}

.social-media-menu-fixed .icon-linkedin {
  background-image: url("/20250603170942oe_/https://www.arts.cuhk.edu.hk/web/wp-content/themes/cuhk-arts-theme/assets/images/icons/linkedin-white.svg");
  background-size: 16px 16px;
}

.social-media-menu-fixed .icon-youtube {
  background-image: url("/20250603170942oe_/https://www.arts.cuhk.edu.hk/web/wp-content/themes/cuhk-arts-theme/assets/images/icons/youtube-white.svg");
  background-size: 18px 14px;
}

@media (min-width: 1680px) {
  .footer__menu-main .section__inner {
    display: flex;
    justify-content: space-between;
    gap: 40px;
  }

  .block__footer-contact {
    padding: 0;
    margin-bottom: 0;
    border-bottom: none;
  }

  .footer__menu-main nav {
    flex: 1;
    max-width: 1210px;
  }
}

@media (max-width: 1679px) {
  .footer-bottom-wrapper {
    flex-direction: column;
    align-items: flex-start;
  }
}

@media (max-width: 991px) {
  .footer-bottom-links a {
    font-size: 0.875rem;
  }

  .social-media-menu-fixed {
    right: 10px;
  }
}


/* Popup background */
#popup.popup {
  display: none;
  position: fixed;
  z-index: 999;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.8);
  overflow: hidden;
}

/* Popup content */
#popup .popup-content {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: #fff;
  padding: 20px;
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.3);
}

/* Close button */
#popup .close {
  position: absolute;
  top: 0px;
  right: 15px;
  font-size: 40px;
  cursor: pointer;
}

@media screen and (max-width: 768px) {
  #popup .close {
    top: -5px;
    right: 10px;
    font-size: 30px;
  }

  .popup-content img{
    min-width: 65vw;
  }

  .footer-bottom .block__footer-social{
    flex-wrap: wrap;
    margin-top: 15px;
    gap: 10px;
  }

  .footer-bottom .block__footer-social .block__links{
    flex-wrap: wrap;
    gap: 10px 15px;
  }

  .footer-bottom .block__footer-social .block__links li{
    margin-left: 0;
  }
  
}